<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: google_my_maps_admin_keys.php
| Author: Martin Pearman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
require_once INFUSIONS."google_my_maps/infusion_db.php";
//	include LOCALE.LOCALESET."admin/google_my_maps.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(LOCALE.LOCALESET."admin/google_my_maps.php")) {
	// Load the locale file matching the current site locale setting.
	include LOCALE.LOCALESET."admin/google_my_maps.php";
} else {
	// Load the infusion's default locale file.
	include LOCALE."English/admin/google_my_maps.php";
}

if (!checkrights("GMMB") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['414']."<br />\n";
	} elseif ($_GET['status'] == "su") {
		$message = $locale['415']."<br />\n";
	} elseif ($_GET['status'] == "del") {
		$message = $locale['416'];
	} elseif ($_GET['status'] == "pw") {
		$message = $locale['global_182'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

if (isset($_POST['save'])) {
	$server_name = stripinput($_POST['server_name']);
	$api_key=stripinput($_POST['api_key']);
	$admin_password = isset($_POST['admin_password']) ? $_POST['admin_password'] : "";
	if ((isset($_COOKIE[COOKIE_PREFIX.'admin']) && md5($_COOKIE[COOKIE_PREFIX.'admin']) == $userdata['user_admin_password']) || md5(md5($admin_password)) == $userdata['user_admin_password']) {
		if (isset($_POST['api_key_id']) && isnum($_POST['api_key_id'])) {
			$result = dbquery("UPDATE ".MY_MAPS_APIKEYS." SET server_name='$server_name', api_key='$api_key' WHERE id='".$_POST['api_key_id']."'");
		} else {
			$result = dbquery("INSERT INTO ".MY_MAPS_APIKEYS." (server_name, api_key) VALUES ('$server_name', '$api_key')");
			$api_key_id = mysql_insert_id();
		}
		if (!isset($_COOKIE[COOKIE_PREFIX.'admin']) && md5(md5($admin_password)) == $userdata['user_admin_password']) {
			setcookie(COOKIE_PREFIX."admin", md5($admin_password), time() + 3600, "/", "", "0");
		}
		if (isset($_POST['api_key_id']) && isnum($_POST['api_key_id'])) {
			redirect(FUSION_SELF.$aidlink."&status=su&pid=".$_POST['api_key_id'], true);
		} else {
			redirect(FUSION_SELF.$aidlink."&status=sn&pid=".$api_key_id, true);
		}
	} else {
		redirect(FUSION_SELF.$aidlink."&status=pw");
	}
} else if (isset($_POST['delete']) && (isset($_POST['api_key_id']) && isnum($_POST['api_key_id']))) {
	$result = dbquery("DELETE FROM ".MY_MAPS_APIKEYS." WHERE id='".$_POST['api_key_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
} else {
	/*	if (isset($_POST['preview'])) {
		$addlink = isset($_POST['add_link']) ? " checked='checked'" : "";
		$map_title = stripinput($_POST['map_title']);
		$map_access = $_POST['map_access'];
		$map_href = htmlspecialchars_decode(stripinput($_POST['map_href']));
		$map_height=stripinput($_POST['map_height']);
		$map_sidebar=stripinput($_POST['map_sidebar']);
		$map_overview=isset($_POST['map_overview']) ? "1" : "0";
		$map_directions=isset($_POST['map_directions']) ? "1" : "0";
		$admin_password = isset($_POST['admin_password']) ? $_POST['admin_password'] : "";
		$comments = isset($_POST['map_comments']) ? " checked='checked'" : "";
		$ratings = isset($_POST['map_ratings']) ? " checked='checked'" : "";
		if ((isset($_COOKIE[COOKIE_PREFIX.'admin']) && md5($_COOKIE[COOKIE_PREFIX.'admin']) == $userdata['user_admin_password']) || md5(md5($admin_password)) == $userdata['user_admin_password']) {
			opentable($map_title);
			eval("?>".$map_href."<?php ");
			closetable();
			if (!isset($_COOKIE[COOKIE_PREFIX.'admin']) && md5(md5($admin_password)) == $userdata['user_admin_password']) {
				setcookie(COOKIE_PREFIX."admin", md5($admin_password), time() + 3600, "/", "", "0");
			}
		} else {
			echo "<div class='admin-message'>".$locale['global_182']."</div>\n";
		}
		//	$map_href = phpentities($map_href);
	}	*/
	$result = dbquery("SELECT * FROM ".MY_MAPS_APIKEYS." ORDER BY server_name");
	if (dbrows($result) != 0) {
		$editlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($_POST['api_key_id'])) { $sel = ($_POST['api_key_id'] == $data['id'] ? " selected='selected'" : ""); }
			$editlist .= "<option value='".$data['id']."'$sel>".$data['server_name']."</option>\n";
		}
		opentable($locale['405']);
		echo "<div style='text-align:center'>\n<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<select name='api_key_id' class='textbox' style='width:200px;'>\n".$editlist."</select>\n";
		echo "<input type='submit' name='edit' value='".$locale['420']."' class='button' />\n";
		echo "<input type='submit' name='delete' value='".$locale['421']."' onclick='return DeletePage();' class='button' />\n";
		echo "</form>\n</div>\n";
		closetable();
	}

	if (isset($_POST['edit']) && (isset($_POST['api_key_id']) && isnum($_POST['api_key_id']))) {
		$result = dbquery("SELECT * FROM ".MY_MAPS_APIKEYS." WHERE id='".$_POST['api_key_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$server_name=$data['server_name'];
			$api_key=$data['api_key'];
			$admin_password='';
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if (isset($_POST['api_key_id']) && isnum($_POST['api_key_id'])) {
		opentable($locale['404']);
	} else {
		if (!isset($_POST['preview'])) {
			$server_name=$_SERVER['SERVER_NAME'];
			$api_key='';
			$admin_password='';
		}
		opentable($locale['403']);
	}
	
	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
	
	echo "<td width='100' class='tbl'>".$locale['435']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='server_name' value='".$server_name."' class='textbox' style='width:250px;' /></td>\n";
	
	echo "</tr>\n<tr>\n";
	
	echo "<td width='100' class='tbl'>".$locale['436']."</td>\n";
	echo "<td width='80%' class='tbl'><input type='text' name='api_key' value='".$api_key."' class='textbox' size='86' maxlength='86' style='width:100ex' /></td></tr><tr>\n";
	//	echo "<td width='80%' class='tbl'><textarea name='api_key' class='textbox' style='width:98%' rows='2' cols='86'>".$api_key."</textarea></td></tr><tr>\n";
	
	if ((!isset($_COOKIE[COOKIE_PREFIX.'admin']) || md5($_COOKIE[COOKIE_PREFIX.'admin']) != $userdata['user_admin_password']) && (!isset($admin_password) || md5(md5($admin_password)) != $userdata['user_admin_password'])) {
		echo "<td class='tbl'>".$locale['425']."</td>\n";
		echo "<td class='tbl'><input type='password' name='admin_password' value='".$admin_password."' class='textbox' style='width:150px;' /></td>\n";
		echo "</tr>\n<tr>\n";
	}
	
	echo "<td align='center' colspan='2' class='tbl'>\n";
	if (isset($_POST['api_key_id']) && isnum($_POST['api_key_id'])) {
		echo "<input type='hidden' name='map_id' value='".$_POST['api_key_id']."' />\n";
	}
	echo "<input type='submit' name='save' value='".$locale['437']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();
	
		echo <<<CODE
	<script type="text/javascript">
	function DeletePage(){
		return confirm('{$locale['454']}');
	}
	function ValidateForm(frm){
		var message=[];
		if(frm.server_name.value=='') {
			message.push('{$locale['455']}');
		}
		if(frm.api_key.value==''){
			message.push('{$locale['456']}');
		} else {
			if(frm.api_key.value.length!==86){
				message.push('{$locale['459']}');
			}
		}
		if(frm.admin_password.value=='') {
			message.push('{$locale['452']}');
		}
		if(message.length>0){
			message=message.join("\\n");
			alert(message);
			return false;
		} else {
			return true;
		}
	}
	</script>
CODE;
}

require_once THEMES."templates/footer.php";
?>