<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: get_remote_kml.php
| Author: Martin Pearman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if(isset($_GET['map_href'])){
	$map_href=$_GET['map_href'];
	$map_href=urldecode($map_href);
	$session=curl_init($map_href);
	curl_setopt($session, CURLOPT_HEADER, false);
	curl_setopt($session, CURLOPT_FOLLOWLOCATION, true);
	curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
	$response = curl_exec($session);
	if($response!==false && strpos($response, '<?xml')===0){
		header("Content-Type: application/vnd.google-earth.kml+xml");
		echo $response;
	} else {
		header("Content-Type: application/vnd.google-earth.kml+xml");
		echo <<<KML
<?xml version="1.0" encoding="UTF-8"?>
<kml xmlns="http://earth.google.com/kml/2.2">
<Document>
  <name>Error</name>
  <description><![CDATA[Failed to retrieve KML from remote server]]></description>
  <Style id="style1">
    <IconStyle>
      <Icon>
        <href>http://maps.gstatic.com/intl/en_uk/mapfiles/ms/micons/info_circle.png</href>
      </Icon>
    </IconStyle>
  </Style>
  <Placemark>
    <name>Error</name>
    <description><![CDATA[<div>Failed to retrieve the requested KML from the remote server.</div><div>$response</div>]]></description>
    <styleUrl>#style1</styleUrl>
    <Point>
      <coordinates>0,0,0</coordinates>
    </Point>
  </Placemark>
</Document>
</kml>	
KML;
	}
	curl_close($session);
}
?>